Retrieve Pricing - m3ter Documentation
Retrieve Pricing
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/pricings/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/pricings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/pricings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
Success Response (200)
{
"id": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"planId": "<string>",
"planTemplateId": "<string>",
"cumulative": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"code": "<string>",
"description": "<string>",
"accountingProductId": "<string>",
"pricingBands": [
{
"lowerLimit": 1,
"fixedPrice": 123,
"unitPrice": 123,
"id": "<string>",
"creditTypeId": "<string>"
}
],
"aggregationId": "<string>",
"compoundAggregationId": "<string>",
"segment": {},
"tiersSpanPlan": true,
"minimumSpend": 123,
"minimumSpendDescription": "<string>",
"minimumSpendBillInAdvance": true,
"segmentString": "<string>",
"overagePricingBands": [
{
"lowerLimit": 1,
"fixedPrice": 123,
"unitPrice": 123,
"id": "<string>",
"creditTypeId": "<string>"
}
]
}
Error Response (4XX)
{
"message": "<string>"
}
Error Response (5XX)
{
"message": "<string>"
}
Authorizations
Authorization
string
header
required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
orgId
- string
- required
- UUID of the organization.
id
- string
- required
- The UUID of the Pricing to retrieve.
Response
200
- application/json
- Returns the requested Pricing
Response Attributes
id: string, The UUID of the entity.version: integer, The version number. dtCreated: string, The DateTime when this item was created. dtLastModified: string, The DateTime when this item was last modified. createdBy: string, The ID of the user who created this item.lastModifiedBy: string, The ID of the user who last modified this item.planId: string, UUID of the Plan the Pricing is created for.planTemplateId: string, UUID of the Plan Template the Pricing was created for.cumulative: boolean, Controls whether or not charge rates under a set of pricing bands are applied.startDate: string, The start date for Pricing. endDate: string, The end date for Pricing. code: string, Unique short code for the Pricing.description: string, Displayed on Bill line items.accountingProductId: string.pricingBands: object[].aggregationId: string, UUID of the Aggregation used to create Pricing.compoundAggregationId: string, UUID of the Compound Aggregation used to create Pricing.segment: object, Name of the segment for which you are defining Pricing.tiersSpanPlan: boolean, Default value is FALSE.minimumSpend: number, The minimum spend amount per billing cycle for customer Accounts. minimumSpendDescription: string, Minimum spend description.minimumSpendBillInAdvance: boolean, When TRUE, minimum spend is billed at the start of each billing period.segmentString: string.overagePricingBands: object[].